@import url("https://fonts.googleapis.com/css2?family=Noto+Sans&display=swap");

/* [theme-data="light"] {
  --primary: #3a9bd9;
  --primary-300: #3a9bd911;
  --primary-400: #3a9bd930;
  --primary-600: #3a9bd960;
  --primary-900: #3a9bd990;
  --secondary: #6db249;
  --secondary-300: #6db24911;
  --secondary-400: #4c7c3230;
  --secondary-600: #6db24960;
  --secondary-900: #6db24990;
  --shadow-200: #5551;
  --shadow-300: #5552;
} */

body {
  font-family: "SF Pro Rounded";
  /* position: relative; */
  /* background-color: var(--primary-alpha-400); */
  /* opacity: 0.8; */
}

button.ee_button {
  background-color: var(--primary);
  padding: 12px 8px;
  border: none;
  border-radius: 10px;
  font-size: 1.2rem;
  color: white;
}

.inputWrapper {
  position: relative;
  z-index: 0;
  display: flex;
  flex-direction: column;
  background-color: #e9f0fe;
  padding: 0.5rem;
  border-radius: 10px;
  /* border: 2px solid transparent; */
  overflow: hidden;
}

.inputWrapper::before {
  content: "";
  position: absolute;
  z-index: -2;
  left: -50%;
  top: -50%;
  width: 200%;
  height: 200%;
  background-color: #e9f0fe;
  background-repeat: no-repeat;
  background-size: 0% 0%;
  background-position: 0 0;
  background-image: linear-gradient(#e9f0fe, #e9f0fe);

  /* transform: rotate(1turn); */
}

.inputWrapper::after {
  content: "";
  position: absolute;
  z-index: -1;
  left: 3px;
  top: 3px;
  width: calc(100% - 6px);
  height: calc(100% - 6px);
  background: white;
  border-radius: 8px;
}

.inputWrapper input::placeholder {
  opacity: 0;
}

.inputWrapper label {
  position: absolute;
  font-size: 1.2rem;
  top: 50%;
  left: 20px;
  transform: translateY(-50%);
  transition: 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
  color: #65778b;
  /* letter-spacing: 2px; */
  z-index: 2;
  cursor: auto;
  font-family: "SF Pro Rounded";
}

.inputWrapper input {
  font-size: 20px;
  border: none;
  outline: none;
  background-color: transparent;
  box-sizing: border-box;
  padding: 15px 20px;
  border-radius: 10px;
  padding-bottom: 0px;
}

.inputWrapper input:focus + label,
.inputWrapper input:not(:placeholder-shown) + label {
  top: 15px;
  font-size: 0.8rem;
  letter-spacing: 0px;
}

.inputWrapper:has(input:focus)::before {
  /* border: 2px solid var(--primary); */
  animation: rotate 1s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  animation-fill-mode: forwards;
  /* background-image: linear-gradient(#a5c0f122, #a5c0f1);
  background-size: 82% 108%; */
}

@keyframes rotate {
  /* 50% {
    background-image: linear-gradient(#a5c0f122, #a5c0f1);
    background-size: 82% 108%;
  } */
  100% {
    background-image: linear-gradient(var(--primary-alpha), var(--primary));
    /* transform: rotate(1turn); */
    background-size: 82% 108%;
    /* box-shadow: 0 5px 15px #1c61e2; */
  }
}

/* body::before {
  content: "";
  position: absolute;
  left: 50%;
  min-width: 300vw;
  min-height: 300vw;
  background-color: #fff;
  animation-name: wave;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  bottom: 22vh;
  border-radius: 47%;
  animation-duration: 10s;
}

body::after {
  content: "";
  position: absolute;
  left: 50%;
  min-width: 300vw;
  min-height: 300vw;
  background-color: #fff;
  opacity: 0.2;
  animation-name: wave;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  bottom: 25vh;
  border-radius: 45%;
  animation-duration: 10s;
} */

@keyframes wave {
  0% {
    transform: translate(-50%, 0) rotateZ(0deg);
  }
  50% {
    transform: translate(-50%, -3%) rotateZ(180deg);
  }
  100% {
    transform: translate(-50%, 0%) rotateZ(360deg);
  }
}

.showPassword {
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  font-size: 1rem;
  background-color: transparent !important;
  outline: none;
  border: none;
  cursor: pointer;
  color: var(--primary);
}

.showPassword:hover {
  outline: none;
  border: none;
}

.companylink-mobile {
  visibility: hidden;
}

.login-body {
  background: rgb(74, 146, 189);
  background-image: url("../img/login.jpg"),
    linear-gradient(90deg, rgba(74, 146, 189, 1) 24%, rgba(55, 134, 181, 1) 58%, rgba(45, 90, 163, 1) 100%, rgba(0, 212, 255, 1) 100%);
  background-size: cover;
  background-position-y: -70px;
  background-position-x: center;
}

/* label {
  position: absolute;
  left: 9px;
  bottom: 5px;
} */
.cloud img {
  height: 150px;
}

.cloud {
  position: absolute;
  height: 150px;
  width: 300px;
  top: 5px;
  left: 40px;
}
.login-cloud img {
  height: auto;
}
.login-cloud {
  position: absolute;
  height: 150px;
  width: 300px;
  top: 25px;
  left: 40px;
}
.panel {
  margin-top: 8%;
  margin-left: 20%;
  height: auto;
  width: auto;
  width: 300px;
  border-radius: 18px;
  border-radius: 28px;
  border-radius: 25px;
  background: #e0e7fa;
  box-shadow: 33px 33px 66px var(--primary-300), -33px -33px 66px var(--primary-300);
  padding: 30px 20px;
  border-radius: 10px;
  /* background: rgb(87, 182, 251); */

  /* background: linear-gradient(90deg, rgba(174, 235, 238, 1) 0%, rgba(117, 176, 244, 1) 100%); */
}

.pearlQatar {
  background-image: url("../img/main-menu-img.jpg");
  background-size: cover;
  height:100vh;
}

option {
  background-color: var(--primary);
}

.login-panel {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: auto;
  width: auto;
  min-width: 300px;
  background-color: #fff;
  /* box-shadow: 0 3px #ddd, -33px -33px 66px var(--primary-400), 33px 33px 66px var(--secondary-400); */
  padding: 30px 20px;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
  font-size: large;
  border: 2px solid rgba(80, 80, 80, 0.133);
  border-bottom: 5px solid #fff7;
  /* box-shadow: 0 3px #ddd, 33px 33px 66px var(--shadow-300); */
  /* box-shadow: 0px 5px 20px #ffffffee, 0px 10px 15px #ffffff22, 0px 15px 25px #ffffff22; */
  z-index: 5;
  backdrop-filter: blur(20px);
}

/* .panel input {
  padding: 11px 15px;
  border: none;
  font-size: 13px;
  outline: none;
  background-color: rgba(255, 255, 255, 1);
  color: #131313;
  width: 100%;
  border-radius: 4px;
  margin-bottom: 15px;
} */

#butt {
  background-color: lightgrey;
  border-radius: 5px;
  padding: 18px 8px;
  margin-top: 8px;
  outline: none;
  width: 100%;
  color: white;
  font-size: 1rem;
  border: none;
  outline: none;
}

h4,
h5,
h6 {
  margin-bottom: 25px;
  font-weight: 500;
  font-size: 15px;
  text-align: center;
  margin-top: 10px;
  color: dodgerblue;
}

small {
  margin: none;
  padding: none;
}

/*================== media query for mobile view ===========================*/

@media only screen and (max-width: 420px) {
  .reg-body {
    background-image: none;
    background: none;
    background-image: url("../img/mobile.png");
  }

  .panel {
    margin-top: 280px;
    margin-right: 150px;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.5);
    position: absolute;
    left: -80px;
    width: 350px;
    height: auto;
  }

  .login-body {
    background-image: url("../img/mobile.png");
  }
  .login-panel {
    /* margin-top: 200px; */
    box-shadow: none;

    width: 350px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: none;
  }
  .otp {
    margin-top: 200px;
    margin-left: 90px;
    padding: 5px;
    max-width: 200px;
    background: #e0e7fa;
    box-shadow: 33px 33px 66px #ccd2e4, -33px -33px 66px #f4fcff;
    border-radius: 20px;
  }

  .cloud {
    position: absolute;
    height: 150px;
    width: 300px;
    top: 25px;
    left: 190px;
  }

  .login-cloud {
    position: absolute;
    height: 150px;
    width: 300px;
    top: 25px;
    left: 140px;
  }
  .companylink {
    visibility: hidden;
  }
  .companylink-mobile {
    visibility: visible;
    position: absolute;
    bottom: 10px;
    left: 20%;
  }

  .companylink-mobile p,
  .companylink-mobile a {
    text-align: center;
    color: #464646;
    font-size: 12px;
    text-decoration: none;
    margin: 0;
  }
}

@media only screen and (max-width: 770px) {
  .panel {
    margin-top: 280px;
    margin-left: 190px;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.5);
    position: absolute;
    width: 350px;
  }
}

/* ================change color of placeholder ========================*/

::placeholder {
  font-size: 12px;
}
/* p {
  margin-bottom: 5px;
  font-size: 10px;
  color: rgb(197, 51, 25);
  text-align: left;
  font-weight: 500;
} */

/*=================== otp verification handling =========================*/

.flex {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  justify-content: center;
}

#digit1,
#digit2,
#digit3,
#digit4,
#digit5,
#digit6 {
  height: 31px;
  width: 61px;
  font-size: 17px;
  padding: 0;
  border: 1px solid grey;
  border-radius: 3px;
  outline: none;
  background-color: white;
  text-align: center;
  overflow-x: hidden;
  color: #464646;
}
/* input:focus {
  border: 2px solid dodgerblue;
} */

.otp {
  width: 600px;
  padding: 15px;
  max-width: 600px;
  background: #fff;
  box-shadow: 33px 33px 66px #ccd2e4, -33px -33px 66px #f4fcff;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  visibility: hidden;
}
/*================== button styling ====================*/
.btn {
  width: 40%;
  align-self: center;
  background-color: dodgerblue;
  color: white;
}
.btn-div {
  text-align: center;
  margin: 10px;
}

.companylink {
  font-size: 0.7rem;
  /* position: absolute;
  bottom: 10px;
  left: 40%; */
}

.companylink p,
.companylink a {
  text-align: center;
  color: #464646;
  font-size: 12px;
  text-decoration: none;
  margin: 0;
}
